@font-face {
    font-family: 'KoreanKRSM';
    font-style: normal;
    src: url("../assets/标小智龙珠体(gb2312).ttf") format("truetype");
}

* {
    font-family: 'KoreanKRSM', sans-serif;
}

html,
body {
    padding: 0;
    margin: 0;
    margin-bottom: 30px;
}

body {
    height: 100%;
    font-size: 18px;
    overflow-x: hidden;
    background-size: cover;
    background-color: #FF0405; /* fallback */
}

body, div {
    color: white;
    text-shadow: 2px 2px black;
    -webkit-text-stroke-width: .5px;  
    -webkit-text-stroke-color: black;  
}

h2,
p,
label,
button {
    user-select: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
}

hr {
    border: 0;
    height: 2px;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 1), rgba(0, 0, 0, 0));
}

a {
    color: white;
    text-shadow: 2px 2px black;
    -webkit-text-stroke-width: .5px;
    -webkit-text-stroke-color: black;  
}

a:hover {
    filter: invert(1);
}

#header {
    display: grid;
    grid-template-columns: 40% 1fr;
    height: 100%;
}

#header > #intro-text {
    text-align: right;
    vertical-align: middle;
    padding-right: 50px;
}

#header > #intro-icon > img {
    position: relative;
    width: 40%;
    padding-left: 50px;
}

#beta {
    position: absolute;
    font-size: small;
}

#credits {
    color: white;
    font-size: 18px;
    padding-left: 30px;
    padding-right: 30px;
}

#credits > * {
    margin: 2px;
}

#support {
    position: absolute;
    display: grid;
    grid-template-rows: 1fr 1fr 1fr;
    text-align: center;
    right: 5%;
    transform: translateY(-120%);
}

#support > button > a {
    color: black;
    text-shadow: none;
}

.version {
    font-size: 12px;
    text-align: center;
    padding-top: 10px;
}

.mobile {
    display: none;
}

.notice {
    width: 90%;
    font-size: 16px;
    margin-left: auto;
    margin-right: auto;
    background-color: white;
    color: black;
    text-align: center;
    text-shadow: none;
    border: 3px solid black;
    z-index: 10;
}

@media screen and (max-width:767px),
screen and (max-device-width:767px) {
    .mobile {
        display: block;
    }

    #header {
        grid-template-columns: 1fr;
        grid-template-rows: 1fr 1fr; 
    }

    #header>#intro-text {
        padding-right: 5px;
    }

    #header > #intro-icon > img {
        width: 50%;
        height: 0 auto;
        padding-left: 0;
        z-index: -1;
    }

    #support {
        position: relative;
        transform: translate(5%, 5%);
    }
}












/*
*飘-------------------------------------------------------------------------
*/
#floating-image {
  position: fixed;
  top: 75%;
  right: 0;
  transform: translateY(-50%);
  z-index: 9999;
  width: 80px; /* 根据需要设置容器元素的宽度 */
  height: 100px; /* 根据需要设置容器元素的高度 */
  animation: shake 20s infinite;
}

#floating-image img {
  opacity: 1;
  display: block;
  width: 100%; /* 将图片的宽度设置为100%以填充容器 */
  height: auto;
}

@keyframes shake {
  0% { transform: translateY(0); }
  10% { transform: translateY(-10px); }
  20% { transform: translateY(10px); }
  30% { transform: translateY(-10px); }
  40% { transform: translateY(10px); }
  50% { transform: translateY(-10px); }
  60% { transform: translateY(10px); }
  70% { transform: translateY(-10px); }
  80% { transform: translateY(10px); }
  90% { transform: translateY(-10px); }
  100% { transform: translateY(0); }
}

/* 添加浏览器厂商前缀以增强兼容性 */
@-webkit-keyframes shake {
  0% { -webkit-transform: translateY(0); }
  10% { -webkit-transform: translateY(-10px); }
  20% { -webkit-transform: translateY(10px); }
  30% { -webkit-transform: translateY(-10px); }
  40% { -webkit-transform: translateY(10px); }
  50% { -webkit-transform: translateY(-10px); }
  60% { -webkit-transform: translateY(10px); }
  70% { -webkit-transform: translateY(-10px); }
  80% { -webkit-transform: translateY(10px); }
  90% { -webkit-transform: translateY(-10px); }
  100% { -webkit-transform: translateY(0); }
}


/*
-------------------------------------------------------------------------
*/

#floating-kfimage {
  position: fixed;
  top: 24%;
  right: 0;
  transform: translateY(-50%);
  z-index: 9999;
  width:60px; /* 根据需要设置容器元素的宽度 */
  height: 80px; /* 根据需要设置容器元素的高度 */
  animation: shake 20s infinite;
}

#floating-kfimage img {
  opacity: 1;
  display: block;
  width: 100%; /* 将图片的宽度设置为100%以填充容器 */
  height: auto;
}

@keyframes shake {
  0% { transform: translateY(0); }
  10% { transform: translateY(-10px); }
  20% { transform: translateY(10px); }
  30% { transform: translateY(-10px); }
  40% { transform: translateY(10px); }
  50% { transform: translateY(-10px); }
  60% { transform: translateY(10px); }
  70% { transform: translateY(-10px); }
  80% { transform: translateY(10px); }
  90% { transform: translateY(-10px); }
  100% { transform: translateY(0); }
}

/* 添加浏览器厂商前缀以增强兼容性 */
@-webkit-keyframes shake {
  0% { -webkit-transform: translateY(0); }
  10% { -webkit-transform: translateY(-10px); }
  20% { -webkit-transform: translateY(10px); }
  30% { -webkit-transform: translateY(-10px); }
  40% { -webkit-transform: translateY(10px); }
  50% { -webkit-transform: translateY(-10px); }
  60% { -webkit-transform: translateY(10px); }
  70% { -webkit-transform: translateY(-10px); }
  80% { -webkit-transform: translateY(10px); }
  90% { -webkit-transform: translateY(-10px); }
  100% { -webkit-transform: translateY(0); }
}
